Bug 405501 - ipw3945d hangs when the wireless switch is turned on
Summary: ipw3945d hangs when the wireless switch is turned on
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipw3945-kmod   
(Show other bugs)
Version: 5.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jon Masters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: KernelPrio5.3
TreeView+ depends on / blocked
 
Reported: 2007-11-30 06:22 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-10-20 01:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:55:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0243 normal SHIPPED_LIVE kmod-ipw3945 and kmod-ipw3945-xen bug fix update 2009-01-20 21:55:14 UTC

Description Huzaifa S. Sidhpurwala 2007-11-30 06:22:14 UTC
Description of problem:
In a Dell D620 laptop, when the laptop boots and the wireless switch is turned
off the ipw3945 daemon hangs and stops the boot process.
 

Version-Release number of selected component (if applicable):

[root@huzaifas ~]# rpm -qa | grep 3945
kmod-ipw3945-1.2.0-4.8.el5
ipw3945d-1.7.22-2.el5
ipw3945-ucode-1.14.2-1.el5

[root@huzaifas ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 5.1 (Tikanga)

[root@huzaifas ~]# uname -r
2.6.18-53.el5

[root@huzaifas ~]# lsmod | grep 3945
ipw3945               178984  1 
ieee80211              33289  1 ipw3945

How reproducible:
Boot a D620 laptop and switch off the wireless switch 

Steps to Reproduce:
Same as above.
  
Actual results:
The boot process stops.


Expected results:
Laptop should boot even if the wireless kill switch is off

Additional info:
[root@huzaifas ~]# lspci 
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE
Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS
110M/GeForce Go 7300] (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. OZ601/6912/711E0 CardBus/SmartCardBus
Controller (rev 40)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit
Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)

Comment 3 Huzaifa S. Sidhpurwala 2007-11-30 10:21:03 UTC
The same problem is with D420/D430/D630.
I bet all Dell laptops with ipw3945 are having this issue

Comment 6 Huzaifa S. Sidhpurwala 2008-02-07 03:11:46 UTC
Any thing on this yet for 5.2?

Comment 7 Jon Masters 2008-04-05 04:29:32 UTC
This is targeted in RHEL5.3, unless you think this is critical in 5.2.

Comment 9 Huzaifa S. Sidhpurwala 2008-05-01 10:15:20 UTC
Same problem in lenovo laptops
Specially X60/61 and T60/61

any possibility of a 5.2 inclusion?

Comment 10 Huzaifa S. Sidhpurwala 2008-05-05 06:16:57 UTC
ping

Comment 15 Jon Masters 2008-09-17 19:16:14 UTC
In ipw3945-kmod-1_2_0-4_11_el5

Comment 20 errata-xmlrpc 2009-01-20 21:55:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0243.html

Comment 21 Huzaifa S. Sidhpurwala 2009-02-13 09:07:10 UTC
The problem still persists with 5.3.

I have a lot of laptops here which have this issues, 
Let me know if i can do any more testing for you.


Note You need to log in before you can comment on or make changes to this bug.